Bug 44750 - [Crash] <animateMotion> element directly inside <symbol> element causes crash when referenced by <use>
Summary: [Crash] <animateMotion> element directly inside <symbol> element causes crash...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: SVG (show other bugs)
Version: 528+ (Nightly build)
Hardware: PC Linux
: P2 Normal
Assignee: Shane Stephens
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-08-26 23:36 PDT by Shane Stephens
Modified: 2011-01-18 22:13 PST (History)
5 users (show)

See Also:


Attachments
SVG that causes webkit to crash (274 bytes, image/svg+xml)
2010-08-26 23:36 PDT, Shane Stephens
no flags Details
Proposed patch (3.88 KB, patch)
2010-08-29 21:51 PDT, Shane Stephens
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Shane Stephens 2010-08-26 23:36:43 PDT
Created attachment 65680 [details]
SVG that causes webkit to crash

(See http://code.google.com/p/chromium/issues/detail?id=50820)

The attached SVG causes a crash inside webkit when loaded.
Comment 1 Shane Stephens 2010-08-29 21:51:33 PDT
Created attachment 65876 [details]
Proposed patch
Comment 2 Dimitri Glazkov (Google) 2010-09-06 08:41:33 PDT
Comment on attachment 65876 [details]
Proposed patch

ok.
Comment 3 WebKit Commit Bot 2010-09-06 09:52:02 PDT
Comment on attachment 65876 [details]
Proposed patch

Clearing flags on attachment: 65876

Committed r66836: <http://trac.webkit.org/changeset/66836>
Comment 4 WebKit Commit Bot 2010-09-06 09:52:08 PDT
All reviewed patches have been landed.  Closing bug.